ApiUpgradeEmbeddedControlPlaneArgs (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiUpgradeEmbeddedControlPlaneArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiUpgradeEmbeddedControlPlaneArgs

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiUpgradeEmbeddedControlPlaneArgs
      extends Object

  Arguments used to upgrade a Private Cloud Control Plane on embedded kubernetes and the associated Containerized Cluster.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiUpgradeEmbeddedControlPlaneArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiUpgradeEmbeddedControlPlaneArgs` | `containerizedClusterName(String containerizedClusterName)`
    `boolean` | `equals(Object o)`
    `ApiUpgradeEmbeddedControlPlaneArgs` | `experienceClusterName(String experienceClusterName)`
    `String` | `getContainerizedClusterName()` The name of the existing Containerized Cluster to upgrade.
    `String` | `getExperienceClusterName()` Deprecated.
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts to upgrade to are hosted
    `String` | `getValuesYaml()` A yaml file containing configuration parameters for the upgrade.
    `int` | `hashCode()`
    `ApiUpgradeEmbeddedControlPlaneArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `void` | `setContainerizedClusterName(String containerizedClusterName)`
    `void` | `setExperienceClusterName(String experienceClusterName)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setValuesYaml(String valuesYaml)`
    `String` | `toString()`
    `ApiUpgradeEmbeddedControlPlaneArgs` | `valuesYaml(String valuesYaml)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiUpgradeEmbeddedControlPlaneArgs

          public ApiUpgradeEmbeddedControlPlaneArgs()

  - ### Method Detail

    - #### remoteRepoUrl

          public ApiUpgradeEmbeddedControlPlaneArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts to upgrade to are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### valuesYaml

          public ApiUpgradeEmbeddedControlPlaneArgs valuesYaml(String valuesYaml)

    - #### getValuesYaml

          public String getValuesYaml()

      A yaml file containing configuration parameters for the upgrade.
      Returns:
        valuesYaml

    - #### setValuesYaml

          public void setValuesYaml(String valuesYaml)

    - #### experienceClusterName

          public ApiUpgradeEmbeddedControlPlaneArgs experienceClusterName(String experienceClusterName)

    - #### getExperienceClusterName

          public String getExperienceClusterName()

      Deprecated. Use containerizedClusterName instead.
      Returns:
        experienceClusterName

    - #### setExperienceClusterName

          public void setExperienceClusterName(String experienceClusterName)

    - #### containerizedClusterName

          public ApiUpgradeEmbeddedControlPlaneArgs containerizedClusterName(String containerizedClusterName)

    - #### getContainerizedClusterName

          public String getContainerizedClusterName()

      The name of the existing Containerized Cluster to upgrade.
      Returns:
        containerizedClusterName

    - #### setContainerizedClusterName

          public void setContainerizedClusterName(String containerizedClusterName)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.